/// <reference types="./phaser" />
import { PosterItem } from "../../types";
import { BubbleUtils } from "../utils/BubbleUtils";
export declare class GameScene extends Phaser.Scene {
    selectedCogTiltLeftBlock: PosterItem | null;
    selectedCogTiltRightBlock: PosterItem | null;
    selectedCogFireBlock: PosterItem | null;
    isShooting: boolean;
    private readonly alpha;
    private smoothAx;
    private smoothAy;
    bubbleUtils: BubbleUtils;
    constructor();
    create(): void;
    update(time: number, delta: number): void;
}
